## calendarserver 7.0+dfsg

=== contrib/webpoll/Makefile ===
##
# Copyright (c) 2013-2015 Apple Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
##

webpoll:
	mkdir -p webapp/js/3rdparty
	curl http://code.jquery.com/jquery-2.1.3.js -o webapp/js/3rdparty/jquery-2.1.3.js
	curl http://code.jquery.com/ui/1.11.2/jquery-ui.js -o webapp/js/3rdparty/jquery-ui-1.11.2.js
	curl -L https://github.com/douglascrockford/JSON-js/raw/master/json2.js -o webapp/js/3rdparty/json2.js
	curl http://trentrichardson.com/examples/timepicker/jquery-ui-timepicker-addon.js -o webapp/js/3rdparty/datetimepicker.js
	
	mkdir -p webapp/css/3rdparty
	curl http://trentrichardson.com/examples/timepicker/jquery-ui-timepicker-addon.css -o webapp/css/3rdparty/datetimepicker.css
	curl http://jqueryui.com/resources/download/jquery-ui-themes-1.11.2.zip -o /tmp/jquery-ui-themes-1.11.2.zip
	unzip /tmp/jquery-ui-themes-1.11.2.zip jquery-ui-themes-1.11.2/themes/cupertino/* -d /tmp
	mv /tmp/jquery-ui-themes-1.11.2/themes/cupertino webapp/css/3rdparty
	rm -rf /tmp/jquery-ui-themes-1.11.2

clean:
	rm -rf webapp/js/3rdparty
	rm -rf webapp/css/3rdparty

## calendarserver 3.2+dfsg

=== debian/changelog ===
calendarserver (3.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Moved from using cdbs to dh sequencer
  * Modified calenderserver init.d script based on /etc/init.d/skeleton script
  * Removed ldapdirectory.patch as the OpenLDAP directory service has been 
    merged upstream
  * Moved package to section "net" as calendarserver is more service than 
    library (Closes: #665859)
  * Changed Architecture of calendarserver package to any as the package
    now includes compiled architecture dependent Python extensions
  * Unowned files are no longer left on the system upon purging
    (Closes: #668731)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Tue, 29 May 2012 18:12:12 +0530

calendarserver (2.4.dfsg-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes init script start action fails if already running (Closes: #666737).

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Apr 2012 02:43:40 +0000

calendarserver (2.4.dfsg-7) unstable; urgency=low

  * Recompile for python 2.7 support (Closes: Bug#646598)
  * Added init.d status support. Thanks to Peter Eisentraut for the patch
    (Closes: Bug#652832)
  * Supply hints for backup of calendar data in face of extended attributes.
    Thanks to Martin Stigge for providing this tip (Closes: Bug#653961)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 14 Mar 2012 11:20:00 +0530

calendarserver (2.4.dfsg-6) unstable; urgency=low

  * Changed DataRoot from /var/run/caldavd/ to /var/lib/caldavd/
    (Closes: Bug#611165)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 31 Jan 2011 17:09:50 +0530

calendarserver (2.4.dfsg-5) unstable; urgency=high

  * Backing up configuration file in calendarserver.preinst was happening
    only during upgrade. This has been modified to happen during install as
    well where the configuration file had not been purged during the previous 
    uninstallation.

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 19 Jan 2011 14:24:14 +0530

calendarserver (2.4.dfsg-4) unstable; urgency=high

  * Moved the code for upgrading data directories of NSS users and groups
    into a separate file and executing this file from postinst as it cannot
    be assumed that python would be configured when preinst is called 
    (inspite of adding python to Pre-Depends)
  * Moved ${python:Depends} and python-plist from Pre-Depends to Depends

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Fri, 31 Dec 2010 14:58:23 +0530

calendarserver (2.4.dfsg-3) unstable; urgency=low

  * Added calendarserver.preinst script for moving data directories of NSS users
    and groups
  * Moved ${python:Depends} from Depends to Pre-Depends. Added python-plist to
    Pre-Depends.
  * Added python-ldap as recommended package (Closes: #600799)
  * Moved python-pydirector from suggested package to recommended package
  * Added information about disabling of group calendaring in calendarserver 2.x
    in NEWS (Closes: #600999)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Fri, 17 Dec 2010 00:00:00 +0530

calendarserver (2.4.dfsg-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Do not set PYTHONPATH env var, not needed (Closes: #605166, #605157)
  * Prevent setup.py from automagically setting #PYTHONPATH in an insecure way

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 03 Dec 2010 21:28:40 +0000

calendarserver (2.4.dfsg-2) unstable; urgency=low

  * Removed Uploaders field in debian/changelog
  * Changed build dependency python-dev to python
  * Updated standards version to 3.9.1
  * $remote_fs dependency has been added in init.d
  * Added NSS directory service backend
  * Added sample configuration for LDAP directory backend
  * Added PAM configuration file

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 25 Aug 2010 15:23:37 +0530

calendarserver (2.4.dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #579610)
  * add LDAP directory backend
  * remove NSS directory backend (will be added soon)
  * add patch for linux xattr fix. Related Calendarserver ticket:
      http://trac.calendarserver.org/ticket/337

 -- Rahul Amaram <rahul@amaram.name>  Wed, 28 Jul 2010 13:57:56 +0530

calendarserver (1.2.dfsg-9) unstable; urgency=low

  [ Guido Günther ]
  * [e933bae] Orphan package
  * [aa801ee] use lower case http in the principals name since this is
    what iCal expects. clients don't break. (Closes: #514931) - thanks
    to Arthur P Prokosch for pointing this out and testing that other
  * [2de5e32] We need both principals in the servers's keytab. (Closes:
    #514931)

  [ Christoph Goehre ]
  * [080f99a] remove package depends 'python-xml' python-xml was merged into
    the python core package and removed from unstable on 16th August 2009

 -- Guido Günther <agx@sigxcpu.org>  Sun, 16 May 2010 15:15:51 +0200

calendarserver (1.2.dfsg-8) unstable; urgency=low

  * [8b63fa5] fix basic auth via apache directoryService (Closes:
    #503727) - thanks to Thomas Viehmann for the patch
  * [a9f92f3] minor fix: tabs vs. spaces

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Nov 2008 09:57:56 +0100

calendarserver (1.2.dfsg-7) experimental; urgency=low

  * [972f1c3] add more info about the name service switch backend and
    warn about ldap server search limits (Closes: #499963)
  * [45cc01f] add Ticket207-2.patch fixes "Events more than 356 days
    from creation are ignored" (Closes: #489188) - Patch by Peter Mogensen

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 02 Oct 2008 13:18:01 +0200

calendarserver (1.2.dfsg-6) unstable; urgency=low

  * [cf51d29] allow dh_installinit to start/stop the daemon
  * [f2450f8] don't start calendarserver by default
  * [67f428c] don't fail when trying to stop a not running daemon
  * [b3386ab] bump standards version
  * [da9254c] add README.source

 -- Guido Guenther <agx@sigxcpu.org>  Fri, 08 Aug 2008 11:58:23 +0200

calendarserver (1.2.dfsg-5) unstable; urgency=low



=== debian/control ===
Source: calendarserver
Section: net
Priority: optional
Maintainer: Rahul Amaram <amaramrahul@users.sourceforge.net>
Build-Depends: debhelper (>= 8.0.0), python-dev (>= 2.6.6-3~)
Standards-Version: 3.9.3
Homepage: http://www.calendarserver.org/
Vcs-Svn: http://svn.calendarserver.org/repository/calendarserver/CalendarServer/
Vcs-Browser: http://trac.calendarserver.org/browser/CalendarServer
X-Python-Version: >= 2.6

Package: calendarserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 memcached, python-zope.interface, python-openssl (>= 0.9), 
 python-kerberos (>= 1.1+svn4241), python-xattr (>= 0.5), python-pysqlite2, 
 python-pygresql (>= 4.0), python-dateutil, python-pycalendar, 
 python-sqlparse (>= 0.1.2), python-twisted-core (>= 11.0.0), 
 python-twisted-conch (>= 11.0.0), python-twisted-mail (>= 11.0.0), 
 python-twisted-web (>= 11.0.0), python-twisted-words (>= 11.0.0),
 python-plist, ssl-cert, adduser, lsb-base
Recommends: python-pam, python-ldap (>= 2.3.13)
Description: Apple's Calendar and Contacts Server
 The open source Calendar and Contacts Server project is a standards-compliant 
 server implementing the CalDAV and CardDAV protocols. It provides a shared 
 location on the network allowing multiple users to store and edit calendaring 
 and contact information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_installpam:
	dh_installpam --name=caldav

override_dh_clean:
	dh_clean
	rm -f calendarserver/version.py

override_dh_python2:
	dh_python2 --no-guessing-versions

## calendarserver 5.2+dfsg

=== debian/changelog ===
calendarserver (5.2+dfsg-1) unstable; urgency=high

  * New upstream release
  * Provided instructions on how to ensure data migration with XML Directory
    Backend while upgrading (Closes: #744889)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 14 Apr 2014 06:02:38 +0530

calendarserver (5.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #709607)
  * Updated NSS Configuration documentation (Closes: #696334)
  * Added documentation for PostgreSQL Peer authentication. Also debianized
    bootstrapdatabase.py (Thanks to Georges Racinet and Fredrik Unger)
    (Closes: #696931)
  * Removed fields Vcs-Svn and Vcs-Browser as they were pointing to upstream
    sources rather than that where the debian package is maintained (Closes:
    #709608)
  * IPv6 support added upstream (Closes: #719649)
  * Removed patch py-ssize-t-fix.patch as it has been included upstream in
    r9700 (See http://trac.calendarserver.org/ticket/448)
  * Removed upgrade-nss-data-directories.py script and related changes. This
    was being used to address an issue when upgrading from 1.2 to 2.4 (See
    Debian Bug#610124). As we have had two major versions released since then,
    we believe it to be safe to remove this fix.
  * Removed zoneinfo.patch

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sun, 23 Feb 2014 10:51:58 +0530

calendarserver (3.2+dfsg-5) unstable; urgency=low

  * Updated zoneinfo patch to tzdata 2012j 

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 14 Nov 2012 16:03:02 +0530

calendarserver (3.2+dfsg-4) unstable; urgency=low

  * Added a new patch for updating zoneinfo to tzdata 2012f

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Wed, 03 Oct 2012 00:21:01 +0530

calendarserver (3.2+dfsg-3) unstable; urgency=low

  * Lowered Debian compat to 8 so that calendarserver could be unblocked

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sat, 29 Sep 2012 20:02:32 +0530

calendarserver (3.2+dfsg-2) unstable; urgency=low

  * The second call to PyArg_ParseTuple in sendmsg.c passed an int* where a 
    Py_ssize_t* should be passed. This has been fixed. (Closes: #678525)
  * Added option "EnableSSL" to conf/caldavd.plist. This has to be set to true
    for calendarserver to listen on SSL port. (Closes: #681170)
  * Changed source dependency from python-dev to python-all-dev as now a fix
    for building package for both python 2.6 and python 2.7 is provided. (Thanks
    to Fredrik Unger for providing the fix) (Closes: #684996)
  * Updated calendarserver.README.Debian 
  * Bumped Debian compat to 9

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Tue, 14 Aug 2012 22:08:02 +0530

=== debian/control ===
Source: calendarserver
Section: net
Priority: optional
Maintainer: Rahul Amaram <amaramrahul@users.sourceforge.net>
Build-Depends: debhelper (>= 9), python-all-dev, subversion
Standards-Version: 3.9.5
Homepage: http://trac.calendarserver.org/
X-Python-Version: >= 2.7

Package: calendarserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 memcached, python-zope.interface (>= 4), python-openssl (>= 0.9), 
 python-kerberos, python-xattr (>= 0.5), python-pygresql (>= 4.1.1), 
 python-twisted-core (>= 12.2), python-twisted-conch (>= 12.2),
 python-twisted-mail (>= 12.2), python-twisted-web (>= 12.2),
 python-twisted-words (>= 12.2), python-dateutil, python-psutil (>= 0.6.1),
 python-ldap (>= 2.3.13), python-pycalendar, python-sqlparse (>= 0.1.10),
 python-crypto (>= 2.5), python-setproctitle (>= 1.0), python-cffi (>= 0.6),
 python-pycparser (>= 0.6), python-nevow, ssl-cert, adduser, lsb-base
Recommends: python-pam
Suggests: pyflakes (>= 0.6.1), python-tz, python-pyasn1 (>= 0.1.2),
 python-epydoc, python-pydoctor
Description: Apple's Calendar and Contacts Server
 The open source Calendar and Contacts Server project is a standards-compliant
 server implementing the CalDAV and CardDAV protocols. It provides a shared
 location on the network allowing multiple users to store and edit calendaring
 and contact information.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,3 @@
 override_dh_clean:
 	dh_clean
 	rm -f calendarserver/version.py
-
-override_dh_python2:
-	dh_python2 --no-guessing-versions

## calendarserver 5.2.2+dfsg

=== debian/changelog ===
calendarserver (5.2.2+dfsg-2ubuntu1) vivid; urgency=medium

  * Build on every architecture.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2015 21:15:57 +0100

calendarserver (5.2.2+dfsg-2) unstable; urgency=low

  * Updated the location of Vcs-Git and Vcs-Browser

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 20 Oct 2014 21:55:39 +0530

calendarserver (5.2.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Tue, 14 Oct 2014 01:55:14 +0530

calendarserver (5.2+dfsg-2) unstable; urgency=low

  * python-cffi is now available for architecture s390x. Also, configured
    calendarserver to build on only those platforms in which python-psutil is
    available (Closes: #746809)
  * Added version dependency for pycalendar (Closes: #761339)

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 13 Oct 2014 17:38:50 +0530

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Priority: optional
 Maintainer: Rahul Amaram <amaramrahul@users.sourceforge.net>
 Build-Depends: debhelper (>= 9), python-all-dev, subversion
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://trac.calendarserver.org/
+Vcs-Git: git://anonscm.debian.org/calendarserver/calendarserver.git
+Vcs-Browser: http://anonscm.debian.org/cgit/calendarserver/calendarserver.git
 X-Python-Version: >= 2.7
 
 Package: calendarserver
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  memcached, python-zope.interface (>= 4), python-openssl (>= 0.9), 
  python-kerberos, python-xattr (>= 0.5), python-pygresql (>= 4.1.1), 
  python-twisted-core (>= 12.2), python-twisted-conch (>= 12.2),
  python-twisted-mail (>= 12.2), python-twisted-web (>= 12.2),
  python-twisted-words (>= 12.2), python-dateutil, python-psutil (>= 0.6.1),
- python-ldap (>= 2.3.13), python-pycalendar, python-sqlparse (>= 0.1.10),
- python-crypto (>= 2.5), python-setproctitle (>= 1.0), python-cffi (>= 0.6),
+ python-ldap (>= 2.3.13), python-pycalendar (>= 2.0~svn13177-1),
+ python-sqlparse (>= 0.1.10), python-crypto (>= 2.5),
+ python-setproctitle (>= 1.0), python-cffi (>= 0.6),
  python-pycparser (>= 0.6), python-nevow, ssl-cert, adduser, lsb-base
 Recommends: python-pam
 Suggests: pyflakes (>= 0.6.1), python-tz, python-pyasn1 (>= 0.1.2),

## calendarserver 7.0+dfsg

=== debian/changelog ===
calendarserver (7.0+dfsg-2) unstable; urgency=low

  * Unicode Fixes (Closes: #815420)
  * Bump Standards Version to 3.9.7

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sun, 06 Mar 2016 12:40:43 +0530

calendarserver (7.0+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #780530)
  * Build for "linux-any" architecture rather than listing the architectures
    separately. See Bug#746809 to understand why calendarserver had been
    restricted to certain architectures in the first place (Closes: #779672)
  * By default, caldavd.plist is now configured to not connect to the
    system running instance of memcached. Instead, calendarserver starts
    its own instance of memcached and connects to it via socket
  * Passing additional arguments to the daemon to start as user caldavd
    and group caldavd so that postgresql peer authentication can be used
    (Closes: #770417)
  * Get rid of all occurrences of twisted.python.hashlib as it has been
    deprecated. Patch applied from upstream Changeset 15276 (Closes: #810142)
  * psutil compatibility fix patch applied from upstream changesets 15281
    and 15282.

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sun, 17 Jan 2016 09:45:30 +0530

=== debian/control ===
Source: calendarserver
Section: net
Priority: optional
Maintainer: Rahul Amaram <amaramrahul@users.sourceforge.net>
Build-Depends: debhelper (>= 9), python, dh-python, python-setuptools
Standards-Version: 3.9.7
Homepage: http://trac.calendarserver.org/
Vcs-Git: https://anonscm.debian.org/git/calendarserver/calendarserver.git
Vcs-Browser: https://anonscm.debian.org/cgit/calendarserver/calendarserver.git
X-Python-Version: >= 2.7

Package: calendarserver
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-zope.interface, python-twisted, python-twext, python-openssl,
 python-kerberos, python-pycalendar (>= 2.1~svn15020), python-dateutil,
 python-tz, python-psutil, python-setproctitle, python-xattr (>= 0.7.5),
 python-pg8000, memcached, ssl-cert, adduser
Recommends: python-pam
Description: Apple's Calendar and Contacts Server
 The open source Calendar and Contacts Server project is a standards-compliant
 server implementing the CalDAV and CardDAV protocols. It provides a shared
 location on the network allowing multiple users to store and edit calendaring
 and contact information.

## calendarserver 9.1+dfsg

=== contrib/webpoll/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ##
-# Copyright (c) 2013-2015 Apple Inc. All rights reserved.
+# Copyright (c) 2013-2017 Apple Inc. All rights reserved.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.

=== debian/changelog ===
calendarserver (9.1+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Fri, 25 Aug 2017 21:21:24 +0530

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
 override_dh_installpam:
 	dh_installpam --name=caldav
 
+override_dh_install:
+	dh_install
+	mv $(CURDIR)/debian/calendarserver/etc/caldavd/augments-default.xml $(CURDIR)/debian/calendarserver/etc/caldavd/augments.xml
+
 override_dh_clean:
 	dh_clean
 	rm -f calendarserver/version.py
+	rm -rf CalendarServer.egg-info

## calendarserver 9.2+dfsg

=== debian/changelog ===
calendarserver (9.2+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Sun, 16 Dec 2018 16:37:43 +0530

=== debian/control ===
Source: calendarserver
Section: net
Priority: optional
Maintainer: Rahul Amaram <amaramrahul@users.sourceforge.net>
Build-Depends: debhelper (>= 9), python, dh-python, python-setuptools
Standards-Version: 3.9.8
Homepage: https://www.calendarserver.org
Vcs-Git: https://anonscm.debian.org/git/calendarserver/calendarserver.git
Vcs-Browser: https://anonscm.debian.org/cgit/calendarserver/calendarserver.git
X-Python-Version: >= 2.7

Package: calendarserver
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-twisted, python-zope.interface,
 python-twext (>= 1:0.1~20161216.0.b90293c), python-kerberos,
 python-pycalendar (>= 1:2.1~git20161130.0.e68e150), python-dateutil, python-tz,
 python-psutil, python-setproctitle, python-xattr, python-pg8000,
 memcached, ssl-cert, adduser, lsb-base (>= 3.0-6)
Recommends: python-pam
Description: Apple's Calendar and Contacts Server
 The open source Calendar and Contacts Server project is a standards-compliant
 server implementing the CalDAV and CardDAV protocols. It provides a shared
 location on the network allowing multiple users to store and edit calendaring
 and contact information.
